## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XPathExceptionFunctionNotSupported Class Reference

Exception class thrown when an installFunction() is called with a function name that is not supported. More...

Inheritance diagram for XPathExceptionFunctionNotSupported:

[legend]
Collaboration diagram for XPathExceptionFunctionNotSupported:

[legend]
List of all members.

## Public Member Functions

- XPathExceptionFunctionNotSupported (const XalanDOMChar *theFunctionName, XalanDOMString &theResult)
- ~XPathExceptionFunctionNotSupported ()

## Detailed Description

Exception class thrown when an installFunction() is called with a function name that is not supported.

## Constructor & Destructor Documentation

XPathExceptionFunctionNotSupported::XPathExceptionFunctionNotSupported | ( | const XalanDOMChar * | theFunctionName,
|  | XalanDOMString & | theResult
| ) |

XPathExceptionFunctionNotSupported::~XPathExceptionFunctionNotSupported | ( |  | ) |

The documentation for this class was generated from the following file:

- XPathFunctionTable.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.